Name: ufraw
Version: 0.11
Release: alt1

%define gimp_ver 2.0

Summary: UFRaw is a graphical utility for opening and converting RAW files from digital photo cameras

License: GPL
Group: Graphics
Url: http://ufraw.sourceforge.net/

Source0: http://downloads.sourceforge.net/ufraw/ufraw-%version.tar.gz
#Patch0: %name-alt-makefile.patch

BuildPreReq: liblcms-devel >= 1.14

#When configure --with-libexif use:
#BuildRequires: libexif-devel
#insted of
#BuildRequires: libexiv2-devel

# Automatically added by buildreq on Thu Dec 07 2006
BuildRequires: gcc-c++ libexiv2-devel libgimp2-devel libjpeg-devel liblcms-devel libtiff-devel

%package -n gimp2-plugin-%name
Summary: GIMP plugin for opening and converting RAW files from digital photo cameras (part of UFRaw project)
Group: Graphics
Conflicts: rawphoto
Requires: gimp2 >= 2.2

%description
UFRaw is a graphical utility for opening and converting RAW files from digital photo cameras

%description -n gimp2-plugin-%name
GIMP plugin for opening and converting RAW files from digital photo cameras (part of UFRaw project)

%prep
%setup -q
#%patch0 -p1

%build
export CFLAGS=-I/usr/include/lcms
export CPPFLAGS=-I/usr/include/lcms
#./autogen.sh
%configure --enable-extras --with-exiv2
%make_build

%install
%make_install DESTDIR=%buildroot install

install -pDm 644 ufraw.desktop %buildroot%_desktopdir/ufraw.desktop

%find_lang ufraw

%post
%update_menus

%postun
%clean_menus

%files -f ufraw.lang
%_bindir/*
%doc MANIFEST README TODO
%_man1dir/*
%_datadir/pixmaps/*
%_desktopdir/*
%exclude %_bindir/dcraw

%files -n gimp2-plugin-%name
%_libdir/gimp/%gimp_ver/plug-ins/*

%changelog
* Tue Apr 10 2007 Victor Forsyuk <force@altlinux.org> 0.11-alt1
- 0.11

* Thu Nov 23 2006 Victor Forsyuk <force@altlinux.org> 0.10-alt1
- 0.10
- Build with EXIF read support (using exiv2 library).
- Use SMP build.

* Mon Mar 06 2006 Dmitry Marochko <mothlike@altlinux.ru> 0.7-alt1
- New version
  + Much more accurate white balance temperature setting.
  + White balance presets per camera model.
  + Show the channel multipliers in the UI.
  + Apply base curve before gamma curve.
  + Fix a few general bugs.
  + Fix camera specific bugs for Sony F828, Sigma Foveon, Nikon D2H, D1X.
- Patch removed due incompatibility

* Fri Nov 25 2005 Dmitry Marochko <mothlike@altlinux.ru> 0.6-alt1
- New version
  + Enabled AHD (Adaptive Homogeneity-Directed) interpolation.
  + Added base curve, which simulates Nikon tone curve behavior. (The old correction curve is still there.)
  + Automatically apply the embedded custom curve only if the camera was setup to use this curve.
  + Support the D1X rectangular pixels.
  + Fix EXIF support with libtiff 3.7.4.
  + Some bug fixes.
- Patch from Sergei Epiphanov kept back

* Sun Oct 02 2005 Dmitry Marochko <mothlike@altlinux.ru> 0.5-alt2
- Patch removed
- Version 0.5
- Read support for Nikon Tone Curve (NTC/NCV) files.
- Added a curve editor.
- Added control on the base curve (see the user guide for more information).
- Support the new DCRaw color matrices for better color rendering.
- More controls can be set from the command-line.
- Preliminary EXIF support.
- New UFRaw ID files contain all the conversion parameters and allow for batch conversion.
- New ufraw-batch replaces ufraw --batch.
- Numerous other changes.
- Notice that the new Adaptive Homogeneity-Directed interpolation is still not enabled.

* Sun Sep 11 2005 Dmitry Marochko <mothlike@altlinux.ru> 0.5-alt1.20050906cvs
- New CVS version
- ufraw(1) manual added
- Increased stability
- Build with new dcraw version included
- Enhance curves

* Mon Aug 08 2005 Dmitry Marochko <mothlike@altlinux.ru> 0.5-alt1.20050808cvs
- CVS version 0.5
- Major changes from Sergei Epiphanov:
  + Package splitted to binary and GIMP plugin parts
  + Patch to enhance functionality

* Wed Aug 03 2005 Dmitry Marochko <mothlike@altlinux.ru> 0.4-alt1
- Initial Sisyphus build
- Version 0.4
